Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.data.sequences.annotation
Class SinglePositionSequenceAnnotation

    java.lang.Object
      de.jstacs.results.ResultSet
          de.jstacs.data.sequences.annotation.SequenceAnnotation
              de.jstacs.data.sequences.annotation.LocatedSequenceAnnotation
                  de.jstacs.data.sequences.annotation.SinglePositionSequenceAnnotation

All Implemented Interfaces:
  Storable

    public class SinglePositionSequenceAnnotation

extends LocatedSequenceAnnotation

Class for some annotations that consist mainly of one position on a sequence. This includes transcription start sites, translation start sites, splice donor sites and splice acceptor sites.

Author:
  Jan Grau

Nested Class Summary
`static class` | `SinglePositionSequenceAnnotation.Type` This `enum` defines possible types of a `SinglePositionSequenceAnnotation`.

Field Summary

Fields inherited from class de.jstacs.results.ResultSet
`results`

Constructor Summary
`SinglePositionSequenceAnnotation(SinglePositionSequenceAnnotation.Type type, String identifier, int position)` Creates a new `SinglePositionSequenceAnnotation` of type `type` with identifier `identifier` and position `position`.
`SinglePositionSequenceAnnotation(SinglePositionSequenceAnnotation.Type type, String identifier, int position, Result... additionalAnnotation)` Creates a new `SinglePositionSequenceAnnotation` of type `type` with identifier `identifier`, position `position` and additional annotations `additionalAnnotation`.
`SinglePositionSequenceAnnotation(StringBuffer representation)` The standard constructor for the interface `Storable`.

Method Summary

Methods inherited from class de.jstacs.data.sequences.annotation.LocatedSequenceAnnotation
`fromXML, getPosition, toString, toXML`

Methods inherited from class de.jstacs.data.sequences.annotation.SequenceAnnotation
`getAnnotations, getIdentifier, getSubAnnotations, getType`

Methods inherited from class de.jstacs.results.ResultSet
`findColumn, getNumberOfResults, getResultAt, getResultForName, getResults`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SinglePositionSequenceAnnotation

    public SinglePositionSequenceAnnotation(SinglePositionSequenceAnnotation.Type type,
                                            String identifier,
                                            int position)

  Creates a new `SinglePositionSequenceAnnotation` of type `type` with identifier `identifier` and position `position`.

  Parameters:
    `position` - the position of the `SinglePositionSequenceAnnotation` on the sequence
    `type` - the type of the annotation
    `identifier` - the identifier of the annotation
  See Also:
    `LocatedSequenceAnnotation.LocatedSequenceAnnotation(int, String, String, Result...)`

### SinglePositionSequenceAnnotation

    public SinglePositionSequenceAnnotation(SinglePositionSequenceAnnotation.Type type,
                                            String identifier,
                                            int position,
                                            Result... additionalAnnotation)

  Creates a new `SinglePositionSequenceAnnotation` of type `type` with identifier `identifier`, position `position` and additional annotations `additionalAnnotation`.

  Parameters:
    `position` - the position of the `SinglePositionSequenceAnnotation` on the sequence
    `type` - the type of the annotation
    `identifier` - the identifier of the annotation
    `additionalAnnotation` - the additional annotation
  See Also:
    `LocatedSequenceAnnotation.LocatedSequenceAnnotation(int, String, String, Result...)`

### SinglePositionSequenceAnnotation

    public SinglePositionSequenceAnnotation(StringBuffer representation)
                                     throws NonParsableException

  The standard constructor for the interface `Storable`. Creates a new `SinglePositionSequenceAnnotation` out of its XML representation.

  Parameters:
    `representation` - the XML representation as `StringBuffer`
  Throws:
    `NonParsableException` - if the `SinglePositionSequenceAnnotation` could not be reconstructed out of the XML representation (the `StringBuffer` `representation` could not be parsed)
  See Also:
    `LocatedSequenceAnnotation.LocatedSequenceAnnotation(StringBuffer)`, `Storable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD